<script lang="ts">
	import "../app.css";
	import Hero from "./Hero.svelte";
	import Footer from "./Footer.svelte";
</script>

<div id="desktopContent">
	<Hero />
	
	<div class="container">
		<slot />
	
		<div id="footerContainer">
			<Footer />
		</div>
	</div>
</div>
<div id="mobileContent">
	<img src="ligature.svg" alt="7dub logo" style="margin-bottom: 12vh; transform: translate(-2.5vw, 0);" />

  <a href="https://gitlab.com/7dub">
    Link to GitLab.
    <img src="/socials/gitlab_logo.svg" alt="gitlab logo" class="icon" />
  </a>

  <a href="https://github.com/matyas7dub">
    Link to GitHub.
    <img src="/socials/github_logo.svg" alt="github logo" class="icon" />
  </a>

  <a href="https://twitter.com/7dubDev">
    Link to twitter.
    <img src="/socials/twitter_logo.svg" alt="twitter logo" class="icon" />
  </a>

  <a href="mailto:matyas@7dub.dev">
    <svg viewBox="0 0 80 80" xmlns="http://www.w3.org/2000/svg" class="icon biggerIcon">
      <path d="M16 22C14.6804 22 13.51 22.639 12.7815 23.6244C13.0832 23.7236 13.3709 23.8822 13.6271 24.1017L36.4207 43.6392C38.4804 45.4046 41.5197 45.4046 43.5794 43.6392L66.3731 24.1017C66.6292 23.8822 66.9169 23.7236 67.2185 23.6245C66.49 22.639 65.3196 22 64 22H16Z" fill="#f7f7ff" />
      <path d="M68 29.2926L46.8334 47.4354C42.9012 50.8059 37.0989 50.8059 33.1668 47.4354L12 29.2925V54C12 56.2091 13.7909 58 16 58H64C66.2091 58 68 56.2091 68 54V29.2926Z" fill="#f7f7ff" />
    </svg>
  </a>
</div>

<style>
	.container {
		position: absolute;
		top: calc(60vh + 30vw);
		left: 10vw;
		width: 80vw;
	}
	#footerContainer {
		display: flex;
		flex-direction: row;
		width: 100%;
		justify-content: center;
		margin-bottom: 0;
	}
	#mobileContent {
		display: none;
	}
	@media (max-width: 600px) and (max-aspect-ratio: 1) {
		#desktopContent {
			display: none;
		}
		#mobileContent {
			display: flex;
			flex-direction: column;
			align-items: center;
			padding-top: 12vh;
			padding-bottom: 30vh;
		}
		img {
			width: 35vw;
			margin-bottom: 5vh;
		}
		svg {
			width: 35vw;
		}
		a {
			font-size: 0px;
		}
	}
</style>
